# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeCurve Class Reference

This class implements the mapping between classes
Curve from Geom and the class Curve from StepGeom which
describes a Curve from prostep. As Curve is an
abstract curve this class an access to the sub-class required.
.

`#include <GeomToStep_MakeCurve.hxx>`

Inheritance diagram for GeomToStep_MakeCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeCurve (const Handle(Geom_Curve)&C)
Standard_EXPORT | GeomToStep_MakeCurve (const Handle(Geom2d_Curve)&C)
Standard_EXPORT const Handle_StepGeom_Curve & | Value () const

## Private Attributes

Handle_StepGeom_Curve | theCurve

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeCurve::GeomToStep_MakeCurve | ( | const Handle(Geom_Curve)& | C | ) |

Standard_EXPORT GeomToStep_MakeCurve::GeomToStep_MakeCurve | ( | const Handle(Geom2d_Curve)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Curve& GeomToStep_MakeCurve::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Curve GeomToStep_MakeCurve::theCurve `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeCurve.hxx